UbuntuUpdates.org

Package "nvidia-graphics-drivers-390"




Name: nvidia-graphics-drivers-390

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Transitional package for nvidia-headless-390
  • Transitional package for nvidia-headless-390
  • Transitional package for nvidia-headless-390

Latest version: *DELETED*
Release: bionic (18.04)
Level: updates
Repository: multiverse

Links



Other versions of "nvidia-graphics-drivers-390" in Bionic

Repository Area Version
base restricted 390.48-0ubuntu3
security restricted 390.138-0ubuntu0.18.04.1
updates restricted 390.138-0ubuntu0.18.04.1
PPA: Canonical Kernel Team 390.138-0ubuntu0.18.04.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: *DELETED* 2020-06-25 11:07:10 UTC
No changelog for deleted or moved packages.

Version: 390.138-0ubuntu0.18.04.1 2020-06-25 10:06:18 UTC

  nvidia-graphics-drivers-390 (390.138-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * New upstream release (LP: #1882093):
    - CVE-2020-5963, CVE-2020-5967.
  * debian/templates/control.in:
    - make the DKMS dependency less strict.
    - Use versioned dependencies on nvidia-kernel-common and
      nvidia-dkms, to keep user space in sync with the kernel modules.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop do-not-call-pci_save_state.patch.
  * debian/rules:
    - expose DEBIAN_VERSION.

 -- Alberto Milone <email address hidden> Wed, 17 Jun 2020 11:34:40 +0200

Source diff to previous version
CVE-2020-5963 RESERVED
CVE-2020-5967 RESERVED

Version: 390.132-0ubuntu0.18.04.1 2020-04-30 10:06:22 UTC
No changelog available yet.
Source diff to previous version

Version: 390.116-0ubuntu0.18.04.3 2020-01-27 14:06:25 UTC

  nvidia-graphics-drivers-390 (390.116-0ubuntu0.18.04.3) bionic; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.3.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Fix build failure with Linux 5.3 (LP: #1851162).

Source diff to previous version
1851162 nvidia-drivers-390 fail to build with kernel 5.3

Version: 390.116-0ubuntu0.18.04.1 2019-03-07 17:07:02 UTC

  nvidia-graphics-drivers-390 (390.116-0ubuntu0.18.04.1) bionic; urgency=medium

  * SECURITY UPDATE:
    - CVE‑2018‑6260 (LP: #1814548).
  * New upstream release:
    - Fixed build failures which resulted in errors like "implicit
      declaration of function drm_...", when building the NVIDIA
      DRM kernel module for Linux kernel 5.0 release candidates.
    - Fixed a bug which could cause VK_KHR_external_semaphore_fd
      operations to fail.
    - Fixed a build failure, "implicit declaration of function
      'vm_insert_pfn'", when building the NVIDIA DRM kernel module
      for Linux kernel 4.20 release candidates.
    - Fixed a build failure, "unknown type name 'ipmi_user_t'",
      when building the NVIDIA kernel module for Linux kernel 4.20
      release candidates.
    - Fixed a bug that caused mode switches to fail when an SDI
      output board was connected.
    - Fixed a bug that could cause rendering corruption in Vulkan
      programs.
    - Fixed a bug that caused
      vkGetPhysicalDeviceDisplayPropertiesKHR() to occasionally
      return incorrect values for physicalResolution.
    - Added the synchronization state for PRIME Displays to nvidia-
      settings.
    - Fixed a bug that could prevent nvidia-xconfig from disabling
      the X Composite extension on version 1.20 of the X.org X
      server.
    - Fixed a build failure, "too many arguments to function
      'get_user_pages'", when building the NVIDIA kernel module for
      Linux kernel v4.4.168.
    - Fixed a build failure, "implicit declaration of function
      do_gettimeofday", when building the NVIDIA kernel module for
      Linux kernel 5.0 release candidates.
    - Added a new kernel module parameter,
      NVreg_RestrictProfilingToAdminUsers, to allow restricting the
      use of GPU performance counters to system administrators
      only.

 -- Alberto Milone <email address hidden> Mon, 25 Feb 2019 12:10:20 +0100

1814548 CVE-2018-6260



About   -   Send Feedback to @ubuntu_updates